apiVersion: v1
kind: Service
metadata:
  name: rmq
  labels:
    app: nssi
spec:
  ports:
  - name: http1
    port: 5672
  - name: http2
    port: 15672
  selector:
    app: nssi
    component: rmq
  type: LoadBalancer
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: rmq
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: rmq
  template:
    metadata:
      labels:
        app: nssi
        component: rmq
    spec:
      containers:
      - name: rmq
        image: rabbitmq:3-management
        ports:
        - containerPort: 5672
          name: http1
        - containerPort: 15672
          name: http2
---
apiVersion: v1
kind: Service
metadata:
  name: elucidatedb
  labels:
    app: nssi
spec:
  ports:
  - port: 5432
  selector:
    app: nssi
    component: elucidatedb
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: elucidatedb
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: elucidatedb
  template:
    metadata:
      labels:
        app: nssi
        component: elucidatedb
    spec:
      containers:
      - name: elucidatedb
        image: postgres:11
        ports:
        - containerPort: 5432
        env:
        - name: POSTGRES_USER
          value: postgres
        - name: POSTGRES_PASSWORD
          value: postgres
        - name: POSTGRES_DB
          value: elucidatedb
---
apiVersion: v1
kind: Service
metadata:
  name: nssidb
  labels:
    app: nssi
spec:
  ports:
  - port: 5432
  selector:
    app: nssi
    component: nssidb
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nssidb
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: nssidb
  template:
    metadata:
      labels:
        app: nssi
        component: nssidb
    spec:
      containers:
      - name: nssidb
        image: postgres:11
        ports:
        - containerPort: 5432
        env:
        - name: POSTGRES_USER
          value: postgres
        - name: POSTGRES_PASSWORD
          value: postgres
        - name: POSTGRES_DB
          value: nssidb
---
apiVersion: v1
kind: Service
metadata:
  name: elucidate
  labels:
    app: nssi
spec:
  ports:
  - port: 8080
  selector:
    app: nssi
    component: elucidate
  type: LoadBalancer
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: elucidate
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: elucidate
  template:
    metadata:
      labels:
        app: nssi
        component: elucidate
    spec:
      containers:
      - name: elucidate
        image: registry.gitlab.com/calincs/conversion/elucidate-server:latest-dev
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: nssi-api
  labels:
    app: nssi
spec:
  ports:
  - port: 8081
    targetPort: 8080
  selector:
    app: nssi
    component: nssi-api
  type: LoadBalancer
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nssi-api
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: nssi-api
  template:
    metadata:
      labels:
        app: nssi
        component: nssi-api
    spec:
      containers:
      - name: nssi-api
        image: registry.gitlab.com/calincs/conversion/nssi/v2:latest-dev
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
        env:
        - name: SPRING_PROFILES_ACTIVE
          value: docker,api,monitor
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nssi-extraction
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: nssi-extraction
  template:
    metadata:
      labels:
        app: nssi
        component: nssi-extraction
    spec:
      containers:
      - name: nssi-extraction
        image: registry.gitlab.com/calincs/conversion/nssi/v2:latest-dev
        imagePullPolicy: Always
        env:
        - name: SPRING_PROFILES_ACTIVE
          value: docker,extraction
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nssi-stanfordner
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: nssi-stanfordner
  template:
    metadata:
      labels:
        app: nssi
        component: nssi-stanfordner
    spec:
      containers:
      - name: nssi-stanfordner
        image: registry.gitlab.com/calincs/conversion/nssi/v2:latest-dev
        imagePullPolicy: Always
        env:
        - name: SPRING_PROFILES_ACTIVE
          value: docker,stanfordner
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nssi-linking
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: nssi-linking
  template:
    metadata:
      labels:
        app: nssi
        component: nssi-linking
    spec:
      containers:
      - name: nssi-linking
        image: registry.gitlab.com/calincs/conversion/nssi/v2:latest-dev
        imagePullPolicy: Always
        env:
        - name: SPRING_PROFILES_ACTIVE
          value: docker,linking
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nssi-annotation
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: nssi-annotation
  template:
    metadata:
      labels:
        app: nssi
        component: nssi-annotation
    spec:
      containers:
      - name: nssi-annotation
        image: registry.gitlab.com/calincs/conversion/nssi/v2:latest-dev
        imagePullPolicy: Always
        env:
        - name: SPRING_PROFILES_ACTIVE
          value: docker,annotation
